<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { ref, watch } from 'vue'

const email = ref('')
const pass = ref('')
const userStore = useAuthStore()
const visible = ref<boolean>(false)

const required = (v: string | boolean) => !!v || 'Field is required'

function clickLogin() {
  userStore.checkUser(email.value, pass.value)
}
</script>

<template>
  <v-dialog v-model="userStore.dialogVisible" persistent class="mx-auto px-6 py-8" max-width="344">
    <v-card>
      <v-card-title
        style="text-align: center; font-size: 25px; margin-top: 10px; margin-bottom: 10px"
        >Login</v-card-title
      >
      <v-text-field
        v-model="email"
        :rules="[required]"
        class="mb-3 input"
        clearable
        label="Email"
        prepend-inner-icon="mdi-email-outline"
        variant="outlined"
      ></v-text-field>
      <v-text-field
        v-model="pass"
        :rules="[required]"
        clearable
        label="Password"
        :append-inner-icon="visible ? 'mdi-eye-off' : 'mdi-eye'"
        :type="visible ? 'text' : 'password'"
        class="input"
        prepend-inner-icon="mdi-lock-outline"
        variant="outlined"
        @click:append-inner="visible = !visible"
      ></v-text-field>
      <br />
      <v-btn
        color="success"
        size="large"
        class="btn"
        style="margin-left: 22px; margin-bottom: 20px"
        :to="{ name: 'home' }"
        :disabled="!email || !pass"
        @click="clickLogin()"
      >
        Login
      </v-btn>
    </v-card>
  </v-dialog>
</template>

<style scoped>
* {
  font-family: 'Kanit';
}

.input {
  margin-left: auto;
  margin-right: auto;
  width: 300px;
  height: 80px;
}

.btn {
  width: 300px;
}
</style>
